GDAL-RASTER(1)

NAME
gdal-raster - Entry point for raster commands

Added in version 3.11.

SYNOPSIS

    Usage: gdal raster <SUBCOMMAND> [OPTIONS]
    where <SUBCOMMAND> is one of:
      - aspect:       Generate an aspect map
      - astype:       Modify the data type of bands of a raster dataset.
      - calc:         Perform raster algebra
      - clean-collar: Clean the collar of a raster dataset, removing noise.
      - clip:         Clip a raster dataset.
      - color-map:    Generate a RGB or RGBA dataset from a single band, using a color map
      - contour:      Creates a vector contour from a raster elevation model (DEM).
      - convert:      Convert a raster dataset.
      - create:       Create a new raster dataset.
      - edit:         Edit a raster dataset.
      - footprint:    Compute the footprint of a raster dataset.
      - hillshade:    Generate a shaded relief map
      - index:        Create a vector index of raster datasets.
      - info:         Return information on a raster dataset.
      - mosaic:       Build a mosaic, either virtual (VRT) or materialized.
      - overview:     Manage overviews of a raster dataset.
      - pipeline:     Process a raster dataset.
      - polygonize:   Create a polygon feature dataset from a raster band.
      - reproject:    Reproject a raster dataset.
      - resize:       Resize a raster dataset without changing the georeferenced extents.
      - roughness:    Generate a roughness map
      - scale:        Scale the values of the bands of a raster dataset.
      - select:       Select a subset of bands from a raster dataset.
      - slope:        Generate a slope map
      - stack:        Combine together input bands into a multi-band output, either virtual (VRT) or materialized.
      - tpi:          Generate a Topographic Position Index (TPI) map
      - tri:          Generate a Terrain Ruggedness Index (TRI) map
      - unscale:      Convert scaled values of a raster dataset into unscaled values.
      - viewshed:     Compute the viewshed of a raster dataset.
    Common Options:
      -h, --help              Display help message and exit
      --version               Display GDAL version and exit
      --json-usage            Display usage as JSON document and exit
      --drivers               Display driver list as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]

AVAILABLE SUB-COMMANDS

•   "gdal raster info" sub-command

•   "gdal raster aspect" sub-command

•   "gdal raster calc" sub-command

•   "gdal raster clean-collar" sub-command

•   "gdal raster clip" sub-command

•   "gdal raster color-map" sub-command

•   "gdal raster convert" sub-command

•   "gdal raster create" sub-command

•   "gdal raster footprint" sub-command

•   "gdal raster hillshade" sub-command

•   "gdal raster index" sub-command

•   "gdal raster mosaic" sub-command

•   "gdal raster overview" sub-command

•   "gdal raster pipeline" sub-command

•   "gdal raster polygonize" sub-command

•   "gdal raster reproject" sub-command

•   "gdal raster resize" sub-command

•   "gdal raster roughness" sub-command

•   "gdal raster scale" sub-command

•   "gdal raster select" sub-command

•   "gdal raster slope" sub-command

•   "gdal raster stack" sub-command

•   "gdal raster tpi" sub-command

•   "gdal raster tri" sub-command

•   "gdal raster unscale" sub-command

•   "gdal raster viewshed" sub-command

EXAMPLES

  Example 1: Getting information on the file utm.tif (with JSON output)

    $ gdal raster info utm.tif

  Example 2: Converting file utm.tif to GeoPackage raster

    $ gdal raster convert utm.tif utm.gpkg

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025